---
title: Date.prototype.getMilliseconds()
slug: Web/JavaScript/Reference/Global_Objects/Date/getMilliseconds
tags:
  - Date
  - JavaScript
  - Method
  - Prototype
  - Reference
---
<div>{{JSRef}}</div>

<p>The <strong><code>getMilliseconds()</code></strong> method returns the milliseconds in the specified date according to local time.</p>

<div>{{EmbedInteractiveExample("pages/js/date-getmilliseconds.html","shorter")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>dateObj</var>.getMilliseconds()</pre>

<h3 id="Return_value">Return value</h3>

<p>A number, between 0 and 999, representing the milliseconds for the given date according to local time.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_getMilliseconds">Using getMilliseconds()</h3>

<p>The following example assigns the milliseconds portion of the current time to the variable <code>milliseconds</code>:</p>

<pre class="brush: js notranslate">var today = new Date();
var milliseconds = today.getMilliseconds();
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-date.prototype.getmilliseconds', 'Date.prototype.getMilliseconds')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Date.getMilliseconds")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Date.prototype.getUTCMilliseconds()")}}</li>
 <li>{{jsxref("Date.prototype.setMilliseconds()")}}</li>
</ul>
